%define		_requires_exceptions pear(require_once.php)\\|pear(include.php)\\|pear(include_once.php)\\|pear(require.php)
%define		_class		PHP
%define		_subclass	DocBlockGenerator
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.1.2
Release:	%mkrel 4
Summary:	DocBlock Generator
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/PHP_Parser/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear-Console_Getopt
Requires:	php-pear-PHP_CompatInfo
Requires:	php-pear >= 1.4.0
BuildArch:	noarch


%description
Creates the file Page block and the DocBlocks for includes, global
variables, functions, parameters, classes, constants, properties and
methods.
Accepts parameters to set the category name, the package name, the author's
name and email, the license, the package link, etc...
Attempts to guess variable and parameters types.
Aligns the DocBlock tags.
Tags are not updated or added to existing DocBlocks but only realigned.
The package can be run by: calling the "PHP_DocBlockGenerator" class, or by
running the "docblockgen" DOS/Unix command.
Fully tested with phpUnit. Code coverage test close to 100%.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PHP_DocBlockGenerator.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/PHP_DocBlockGenerator.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/PHP_DocBlockGenerator
fi

%files
%doc docs/PHP_DocBlockGenerator/*
%{peardir}/*
%{_bindir}/docblockgen
%{xmldir}/PHP_DocBlockGenerator.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1.2-4.mga4
+ Revision: 531998
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 spuhler <spuhler> 1.1.2-3.mga4
+ Revision: 466500
-added more %%define _requires_exceptions
 * can be removed after upstream fixes it. They havn't even assignedbug #19984

* Wed Aug 14 2013 spuhler <spuhler> 1.1.2-2.mga4
+ Revision: 466496
-added %%define _requires_exceptions pear(require_once.php)
 * can be removed after upstream fixes it.

* Mon Jun 17 2013 spuhler <spuhler> 1.1.2-1.mga4
+ Revision: 444190
- imported package php-pear-PHP_DocBlockGenerator

